Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Source: https://github.com/rizinorg/rizin
Upstream-Name: Rizin
Upstream-Contact: RizinOrg <info@rizin.re>

Files: *
Copyright: RizinOrg <info@rizin.re>
License: LGPL-3

Files: debian/*
Copyright:
 2010-2020 Sebastian Reichel <sre@kernel.org>
 2022 Arnaud Rebillout <arnaudr@kali.org>
License: ISC

## debian/subprojects/blake3 ##

Files: debian/subprojects/blake3/*
Copyright: Samuel Neves, 2019-2020
           Samuel Neves and Jack O'Connor, 2019-2020
License: CC0-1.0 or Apache-2.0

## debian/subprojects/libdemangle (originally radare2/libr/bin/mangling) ##

Files: debian/subprojects/libdemangle/*
Copyright:
 2021 deroad <wargio@libero.it>
 2021 RizinOrg <info@rizin.re>
License: LGPL-3

Files: debian/subprojects/libdemangle/src/*
Copyright:
 2011-2019 pancake <pancake@nopcode.org>
 2015-2018 inisider <inisider@gmail.com>
 2021 deroad <wargio@libero.it>
 2021 RizinOrg <info@rizin.re>
License: LGPL-3

Files: debian/subprojects/libdemangle/src/cxx/*
Copyright: 2003-2018, Free Software Foundation, Inc.
License: GPL-2+ with GCC-exception-2.0 exception

Files: debian/subprojects/libdemangle/src/cxx/ansidecl.h
Copyright: 1990-2015, Free Software Foundation, Inc.
License: GPL-2+

Files: debian/subprojects/libdemangle/src/cxx/demangle.h
Copyright: 1992-2018, Free Software Foundation, Inc.
License: LGPL-2+ with GCC-exception-2.0 exception

Files: debian/subprojects/libdemangle/src/swift.c
Copyright: 2015-2019 pancake <pancake@nopcode.org>
License: Expat

## debian/subprojects/tree-sitter-c ##

Files: debian/subprojects/tree-sitter-c/*
Copyright: 2014, Max Brunsfeld
License: Expat

Files: debian/subprojects/tree-sitter-c/bindings/rust/lib.rs
Copyright: 2021, tree-sitter-c authors
License: Expat

Files: debian/subprojects/tree-sitter-c/examples/cluster.c
Copyright: 2009-2012, Salvatore Sanfilippo <antirez at gmail dot com>
License: BSD-3-clause

## binrz ##

Files: binrz/*
Copyright:
 2007-2020 pancake <pancake@nopcode.org>
 2020 RizinOrg <info@rizin.re>
 2020-2021 thestr4ng3r <info@florianmaerkl.de>
License: LGPL-3

Files: binrz/rz-gg/shellcodes.c.src
Copyright:
 2005 BaCkSpAcE <sinisa86@gmail.com>
 2005 c0ntex <c0ntex@open-security.org>
 2007-2011 pancake <nopcode.org>
License: GPL-2+

## librz ##

Files: librz/analysis/*
Copyright:
 2010-2021 alvaro <alvaro.felipe91@gmail.com>
 2021 Anton Kochkov <anton.kochkov@gmail.com>
 2013-2019 astuder <github@adrianstuder.com>
 2021 Basstorm <basstorm@nyist.edu.cn>
 2012-2015 Bhootravi <ravi2809@gmail.com>
 2016-2017 bobby.smiles32 <bobby.smiles32@gmail.com>
 2011-2021 condret <condr3t@protonmail.com>
 2013-2014 condret <condret@runas-racer.com>
 2015-2018 courk <courk@courk.cc>
 2020 curly <bhattrishi8@gmail.com>
 2015 danielps
 2009-2019 defragger <rlaemmert@gmail.com>
 2017-2022 deroad <wargio@libero.it>
 2013-2019 dkreuter <dkreuter@gmail.com>
 2014-2019 dso <dso@rice.edu>
 2010-2013 eloi <limited-entropy.com>
 2012-2015 Fedor Sakharov <fedor.sakharov@gmail.com>
 2022 Florian Märkl <info@florianmaerkl.de>
 2016-2020 FXTi <zjxiang1998@gmail.com>
 2021 Heersin <teablearcher@gmail.com>
 2012-2020 houndthe <cgkajm@gmail.com>
 2014 Ilya V. Matveychikov <i.matveychikov@milabs.ru>
 2014 jn <j.neuschaefer@gmx.net>
 2011-2019 killabyte <killabytenow@gmail.com>
 2009-2020 maijin <maijin21@gmail.com>
 2014 montekki <i.matveychikov@milabs.ru>
 2008-2021 nibble <nibble.ds@gmail.com>
 2010-2021 oddcoder <ahmedsoliman@oddcoder.com>
 2008-2021 pancake <pancake@nopcode.org>
 2015-2019 qnix <qnix@0x80.org>
 2018 r00tus3r <iamakshayajayan@gmail.com>
 2009-2019 ret2libc <sirmy15@gmail.com>
 2019-2020 riq <ricardoquesada@gmail.com>
 2021-2022 RizinOrg <info@rizin.re>
 2015-2020 rkx1209 <rkx1209dev@gmail.com>
 2011-2019 Roc Valles <vallesroc@gmail.com>
 2021 Rot127 <unisono@quyllur.org>
 2008-2020 thestr4ng3r <info@florianmaerkl.de>
 2019 v3l0c1r4pt0r <v3l0c1r4pt0r@gmail.com>
 2017-2021 xvilka <anton.kochkov@gmail.com>
License: LGPL-3

Files: librz/asm/*
Copyright:
 2012-2018 Alexander <alexander@demin.ws>
 2017-2020 Anton Kochkov <anton.kochkov@gmail.com>
 2013-2019 astuder <github@adrianstuder.com>
 2016 bobby.smiles32 <bobby.smiles32@gmail.com>
 2016-2020 c0riolis
 2017-2020 cgvwzq
 2012-2020 condret <condr3t@protonmail.com>
 2013-2014 condret <condret@runas-racer.com>
 2018 courk <courk@courk.cc>
 2015 danielps
 2017-2021 deroad <wargio@libero.it>
 2009-2020 eagleoflqj <liumeo@pku.edu.cn>
 2009-2019 earada <pkedurat@gmail.com>
 2010-2011 eloi <limited-entropy.com>
 2008-2020 emvivre
 2012-2018 Fedor Sakharov <fedor.sakharov@gmail.com>
 2021-2022 Florian Märkl <info@florianmaerkl.de>
 2020 FXTi <zjxiang1998@gmail.com>
 2009-2019 h4ng3r
 2021 Heersin <teablearcher@gmail.com>
 2009-2019 hmht
 2014 Ilya V. Matveychikov <i.matveychikov@milabs.ru>
 2014 Ilya V. Matveychikov <matvejchikov@gmail.com>
 2014-2015 jn
 2014 Jonathan Neuschäfer
 2017-2018 maijin <maijin21@gmail.com>
 2015 Mauro Matteo Cascella <mauromatteo.cascella@gmail.com>
 2016 Mitchell Johnson <ehntoo@gmail.com>
 2018 Neven Sajko <nsajko@gmail.com>
 2009-2021 nibble <nibble.ds@gmail.com>
 2015-2018 oddcoder <ahmedsoliman@oddcoder.com>
 2008-2021 pancake <pancake@nopcode.org>
 2020 phakeobj
 2015-2021 qnix <qnix@0x80.org>
 2015-2019 riq <ricardoquesada@gmail.com>
 2021 Rot127 <unisono@quyllur.org>
 2007 sorbo
 2013-2021 th0rpe <josediazfer@yahoo.es>
 2015-2018 thestr4ng3r <info@florianmaerkl.de>
 2008-2020 unlogic
 2019 v3l0c1r4pt0r <v3l0c1r4pt0r@gmail.com>
 2018 vdf-git
 2016-2020 x0urc3
License: LGPL-3

Files: librz/asm/arch/arc/*
Copyright: 2008-2012, Synopsys Inc.
 1994, 1995, 1997, 1998, 2000-2002, 2004-2009, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/arc/gnu/arc-opc-cgen.h
 librz/asm/arch/arc/gnu/arc-opc.h
 librz/asm/arch/arc/gnu/arc.h
 librz/asm/arch/arc/gnu/arcompact-dis.c
Copyright: 2008-2012, Synopsys Inc.
 1994-2009, Free Software Foundation, Inc.
License: GPL-2+

Files: librz/asm/arch/arc/gnu/arc-opc.c
Copyright: 2007-2012, Synopsys Inc
 1994, 1995, 1997, 1998, 2000-2002, 2004, 2005, 2009, 2011, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/arm/aarch64/*
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/arm/aarch64/aarch64.h
Copyright: 2009-2018, Free Software Foundation, Inc.
License: GPL-3

Files: librz/asm/arch/cris/*
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/dcpu16/asm.c
Copyright: 2012, Karl Hobley
License: Expat

Files: librz/asm/arch/hppa/*
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/i8080/*
Copyright: 2012, Alexander Demin <alexander@demin.ws>
License: Expat

Files: librz/asm/arch/include/*
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/include/ansidecl.h
 librz/asm/arch/include/bfdlink.h
 librz/asm/arch/include/mybfd.h
 librz/asm/arch/include/symcat.h
Copyright: 94-97, 1990-2015, Free Software Foundation, Inc.
License: GPL-2+

Files: librz/asm/arch/include/elf/*
Copyright: 94-97, 1990-2015, Free Software Foundation, Inc.
License: GPL-2+

Files: librz/asm/arch/include/elf/xtensa.h
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/include/libiberty.h
Copyright: 2001, 2002, 2005 Free Software Foundation, Inc
License: GPL-2+

Files:
 librz/asm/arch/include/opcode/mips.h
 librz/asm/arch/include/opcode/ppc.h
 librz/asm/arch/include/opcode/tricore.h
Copyright: 1993-2008, Free Software Foundation, Inc.
License: GPL-1+

Files: librz/asm/arch/include/opcode/cris.h
Copyright: 94-97, 1990-2015, Free Software Foundation, Inc.
License: GPL-2+

Files:
 librz/asm/arch/include/opcode/hppa.h
 librz/asm/arch/include/opcode/nios2.h
 librz/asm/arch/include/opcode/sparc.h
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/include/opcode/lanai.h
Copyright: 1994, 1995, Myricom, Inc.
License: GPL-2

Files: librz/asm/arch/include/safe-ctype.h
Copyright: 2000, 2001, Free Software Foundation, Inc.
License: LGPL-2+

Files: librz/asm/arch/lanai/*
Copyright: 1994, 1995, Myricom, Inc.
License: GPL-2+

Files: librz/asm/arch/lm32/*
Copyright: 2015 Felix Held
License: BSD-2-clause

Files: librz/asm/arch/mips/*
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/nios/*
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/riscv/*
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/riscv/riscv-opc.h
Copyright: 2011-2015 Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/sh/*
Copyright: 94-97, 1990-2015, Free Software Foundation, Inc.
License: GPL-2+

Files: librz/asm/arch/sparc/*
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/tricore/*
Copyright: 94-97, 1990-2015, Free Software Foundation, Inc.
License: GPL-2+

Files: librz/asm/arch/tricore/gnu/tricore-opc.c
Copyright: 1993-2008, Free Software Foundation, Inc.
License: GPL-1+

Files: librz/asm/arch/vax/*
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/xtensa/*
Copyright: 1986, 1988-2018, Free Software Foundation, Inc.
License: GPL-3+

Files: librz/asm/arch/xtensa/gnu/xtensa-modules.c
Copyright: 94-97, 1990-2015, Free Software Foundation, Inc.
License: GPL-2+

Files:
 librz/asm/arch/z80/expressions.c
 librz/asm/arch/z80/z80asm.c
Copyright:
 2005, Jan Wilmans <jw@dds.nl>
 2002-2009, Bas Wijnen <wijnen@debian.org>
License: GPL-3+

Files: librz/asm/arch/z80/z80asm.h
Copyright:
 2005, Jan Wilmans <jw@dds.nl>
 2002-2007, Bas Wijnen <shevek@fmf.nl>
License: GPL-3+

Files: librz/asm/p/asm_lm32.c
Copyright: 2015 Felix Held
License: BSD-2-clause

Files: librz/bin/*
Copyright:
 2021 08A <08A@riseup.net>
 2015-2019 a0rtega
 2020 abcSup <zifan.tan@gmail.com>
 2014-2016 Alberto Ortega
 2016-2018 Alex Kornitzer <alex.kornitzer@countercept.com>
 2008-2020 alvaro_fe <alvaro.felipe91@gmail.com>
 2015-2019 ampotos <mercie_i@epitech.eu>
 2008 Anant Narayanan
 2021 Basstorm <basstorm@nyist.edu.cn>
 2016-2020 c0riolis
 2017-2021 cgvwzq
 2013-2017 condret <condr3t@protonmail.com>
 2016-2018 Davis
 2015-2018 Dax89 <trogu.davide@gmail.com>
 2015-2019 deepakchethan <deepakchethan@outlook.com>
 2019-2022 deroad <wargio@libero.it>
 2009-2020 dso <dso@rice.edu>
 2012-2019 Fedor Sakharov <fedor.sakharov@gmail.com>
 2021 Florian Märkl <info@florianmaerkl.de>
 2018-2021 Francesco Tamagni <mrmacete@protonmail.ch>
 2009-2019 GustavoLCR <gugulcr@gmail.com>
 2021 Heersin <teablearcher@gmail.com>
 2008-2020 iniside <inisider@gmail.com>
 2018 JohnPeng47 <johnpeng47@gmail.com>
 2021 keegan
 2016-2020 l0stb1t
 2014-2019 LemonBoy <thatlemon@gmail.com>
 2018-2019 lowlyw <cutlassc91@gmail.com>
 2015-2019 maijin <maijin21@gmail.com>
 2019-2020 mrmacete <mrmacete@protonmail.ch>
 2008-2021 nibble <nibble.ds@gmail.com>
 2009-2019 ninjahacker <wardjm@gmail.com>
 2015-2019 nodepad <nod3pad@gmail.com>
 2016-2019 Oscar Salvador <osalvador.vilardaga@gmail.com>
 2008-2021 pancake <pancake@nopcode.org>
 2009-2019 ret2libc <sirmy15@gmail.com>
 2015-2019 riq <ricardoquesada@gmail.com>
 2019-2021 RizinOrg <info@rizin.re>
 2017-2018 rkx1209 <rkx1209dev@gmail.com>
 2015-2018 shengdi <github@sheng.my>
 2016-2020 Tardy
 2019-2021 thestr4ng3r <info@florianmaerkl.de>
 2017-2019 usrshare
 2016-2020 x0urc3
 2008-2019 xvilka <anton.kochkov@gmail.com>
License: LGPL-3

Files: librz/bin/d/jni.h
Copyright: 2006, The Android Open Source Project
License: Apache-2.0

Files: librz/bin/format/elf/glibc_elf.h
Copyright: 1995-2020, Free Software Foundation, Inc.
License: LGPL-2+

Files: librz/bin/format/mach0/mach0_defines.h
Copyright: 2003-2010, University of Illinois at Urbana-Champaign.
License: NCSA

Files:
 librz/bin/format/pe/dotnet.c
 librz/bin/format/pe/dotnet.h
Copyright: 2015. The YARA Authors. All Rights Reserved.
License: Apache-2.0

Files: librz/bp/*
Copyright:
 2009-2020 pancake <pancake@nopcode.org>
 2010-2017 rkx1209 <rkx1209dev@gmail.com>
 2021 Dhruv Maroo <dhruvmaru007@gmail.com>
License: LGPL-3

Files: librz/config/*
Copyright:
 2006-2021 pancake <pancake@nopcode.org>
 2020 Florian Märkl <info@florianmaerkl.de>
License: LGPL-3

Files: librz/config.h.in
Copyright: 2021 RizinOrg <info@rizin.re>
License: LGPL-3

Files: librz/cons/*
Copyright:
 2007-2021 pancake <pancake@nopcode.org>
 2008-2020 Jody Frankowski <jody.frankowski@gmail.com>
 2009-2020 nibble <nibble.ds@gmail.com>
 2013-2020 sghctoma <sghctoma@gmail.com>
 2013-2020 xarkes <antide.petit@gmail.com>
 2014 condret <condret@runas-racer.com>
 2014-2019 Judge_Dredd <the.guard@mail.ru>
 2016 oblique <psyberbits@gmail.com>
 2018 bart1e
 2018 d4em0n <n0psledbyte@gmail.com>
 2018 Rene Laemmert <rlaemmert@gmail.com>
 2018 securisec
 2019 Khairul Azhar Kasmiran <kazarmy@gmail.com>
 2022 Florian Märkl <info@florianmaerkl.de>
License: LGPL-3

Files: librz/core/*
Copyright:
 2007-2021 pancake <pancake@nopcode.org>
 2007-2021 ret2libc <sirmy15@gmail.com>
 2008-2021 nibble <nibble.ds@gmail.com>
 2008-2020 thestr4ng3r <info@florianmaerkl.de>
 2009-2016 Alexandru Caciulescu <alex.darredevil@gmail.com>
 2009-2021 Anton Kochkov <anton.kochkov@gmail.com>
 2009-2021 dso <dso@rice.edu>
 2009-2020 Jody Frankowski <jody.frankowski@gmail.com>
 2009-2021 maijin <maijin21@gmail.com>
 2009-2020 oddcoder <ahmedsoliman@oddcoder.com>
 2011-2020 earada <pkedurat@gmail.com>
 2014-2016 jfrankowski <jody.frankowski@gmail.com>
 2014-2020 vane11ope
 2016-2020 n4x0r <kalianon2816@gmail.com>
 2016-2020 sivaramaaa <sivaramaaa@gmail.com>
 2016-2020 soez <soez@amn3s1a.com>
 2017 javierptd <javierptd@gmail.com>
 2019 GustavoLCR <gugulcr@gmail.com>
 2020 NIRMAL MANOJ C <nimmumanoj@gmail.com>
 2020-2021 Florian Märkl <info@florianmaerkl.de>
 2021 Basstorm <basstorm@nyist.edu.cn>
 2021-2022 deroad <wargio@libero.it>
 2021 Dhruv Maroo <dhruvmaru007@gmail.com>
 2021 heersin <teablearcher@gmail.com>
 2021 Oleg Bushin
 2021 Pulak Malhotra <pulakmalhotra2000@gmail.com>
 2021-2022 RizinOrg <info@rizin.re>
 2021 theopechli <theofilos.pechlivanis@gmail.com>
 2021 thestr4ng3r <info@florianmaerkl.de>
License: LGPL-3

Files: librz/core/basefind.c
Copyright:
 2021 deroad <wargio@libero.it>
 2021 Oleg Bushin
License: Expat

Files: librz/crypto/*
Copyright:
 2009-2017 pancake <pancake@nopcode.org>
 2015 condret <condret@runas-racer.com>
 2015 seu <seu@panopticon.re>
 2016 Aneesh Dogra <lionaneesh@gmail.com>
 2016 esanfelix
 2016 kishorbhat <kishorbhat@gmail.com>
 2016 pof
 2016-2017 rakholiyajenish.07 <rakholiyajenish.07@gmail.com>
 2017 deroad <wargio@libero.it>
 2017 NicsTr <nicolas.bordes@grenoble-inp.org>
License: LGPL-3

Files: librz/crypto/p/crypto_cps2.c
Copyright:
 Paul Leaman, Andreas Naive, Nicola Salmoria, Charles MacDonald
License: BSD-3-clause

Files: librz/debug/*
Copyright:
 2008-2020 pancake <pancake@nopcode.org>
 2009-2018 defragger <rlaemmert@gmail.com>
 2009-2018 jduck <github.jdrake@qoop.org>
 2009-2018 LemonBoy
 2009-2016 madprogrammer
 2009-2018 saucec0de
 2015-2019 Álvaro Felipe Melchor <alvaro.felipe91@gmail.com>
 2015-2020 rkx1209 <rkx1209dev@gmail.com>
 2016 dromero <dromero.perez@hotmail.com>
 2016 Oscar Salvador <osalvador.vilardaga@gmail.com>
 2016 SkUaTeR <skuater@hotmail.com>
 2017 Fangrui Song <i@maskray.me>
 2018 Emmanuel Vadot <manu@bidouilliste.com>
 2019-2022 GustavoLCR <gugulcr@gmail.com>
 2019 MapleLeaf-X
 2020 Anton Kochkov <anton.kochkov@gmail.com>
 2021 Dhruv Maroo <dhruvmaru007@gmail.com>
License: LGPL-3

Files: librz/demangler/*
Copyright:
 2021 deroad <wargio@libero.it>
 2021 RizinOrg <info@rizin.re>
License: LGPL-3

Files: librz/diff/*
Copyright:
 2016 NikolaiHampton <nikolaih@3583bytesready.net>
 2017 Fangrui Song <i@maskray.me>
 2021 deroad <wargio@libero.it>
 2021 RizinOrg <info@rizin.re>
License: LGPL-3

Files: librz/egg/*
Copyright: 2010-2018 pancake <pancake@nopcode.org>
License: LGPL-3

Files: librz/flag/*
Copyright:
 2007-2020 pancake <pancake@nopcode.org>
 2007-2020 ret2libc <sirmy15@gmail.com>
 2020 Florian Märkl <info@florianmaerkl.de>
License: LGPL-3

Files: librz/hash/*
Copyright:
 2009 Victor Mu~noz <vmunoz@ingenieria-inversa.cl>
 2021 deroad <wargio@libero.it>
License: LGPL-3

Files: librz/hash/algorithms/md5/*
Copyright: 1999 Alan DeKok <aland@ox.org>
License: LGPL-2
Comment: This file is licensed uder the LGPL, but is largely derived
 from public domain source code.

Files: librz/hash/algorithms/sha2/*
Copyright: 2000, 2001, Aaron D. Gifford
License: BSD-3-clause

Files: librz/hash/randomart.c
Copyright:
 1995 Tatu Ylonen <ylo@cs.hut.fi>
 2000, 2001 Markus Friedl
License: BSD-2-clause

Files: librz/il/*
Copyright:
 2021 deroad <wargio@libero.it>
 2021-2022 Florian Märkl <info@florianmaerkl.de>
 2021 heersin <teablearcher@gmail.com>
 2021 RizinOrg <info@rizin.re>
License: LGPL-3

Files: librz/include/*
Copyright:
 2008-2021 pancake <pancake@nopcode.org>
 2008-2016 r00tus3r <iamakshayajayan@gmail.com>
 2009-2021 nibble <nibble.ds@gmail.com>
 2009-2021 xvilka <anton.kochkov@gmail.com>
 2014 crowell <crowell@bu.edu>
 2014-2016 jfrankowski <jody.frankowski@gmail.com>
 2017-2020 alvaro <alvaro.felipe91@gmail.com>
 2017-2020 condret <condr3t@protonmail.com>
 2019-2020 thestr4ng3r <info@florianmaerkl.de>
 2020-2022 Florian Märkl <info@florianmaerkl.de>
 2020 Yaroslav Stavnichiy <yarosla@gmail.com>
 2021 Anton Kochkov <anton.kochkov@gmail.com>
 2021 Basstorm <basstorm@nyist.edu.cn>
 2021 Billow <billow.fun@gmail.com>
 2021 Dhruv Maroo <dhruvmaru007@gmail.com>
 2021 heersin <teablearcher@gmail.com>
 2021 keegan
 2021-2022 deroad <wargio@libero.it>
 2021-2022 RizinOrg <info@rizin.re>
 2022 GustavoLCR <gugulcr@gmail.com>
 Florian Märkl <info@florianmaerkl.de>, Riccardo Schirone <sirmy15@gmail.com>
License: LGPL-3

Files: librz/include/rz_basefind.h
Copyright: 2021 deroad <wargio@libero.it>
License: Expat

Files: librz/include/rz_constructor.h
Copyright: 1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald
License: LGPL-2+

Files: librz/include/rz_skiplist.h
Copyright: 2016 Jeffrey Crowell
License: BSD-3-clause

Files: librz/include/rz_util/rz_json.h
Copyright:
 2020 thestr4ng3r <info@florianmaerkl.de>
 2020 Yaroslav Stavnichiy <yarosla@gmail.com>
License: LGPL-3

Files: librz/include/sflib/*
Copyright:
 2003-2004 Philippe Biondi <biondi@cartel-securite.fr>
 2004 Philippe Biondi <phil@secdev.org>
License: LGPL-2

Files: librz/io/*
Copyright:
 2007-2021 pancake <pancake@nopcode.org>
 2008-2020 alvaro <alvaro.felipe91@gmail.com>
 2008-2020 condret <condr3t@protonmail.com>
 2012-2016 Adam Pridgen <dso@rice.edu>
 2013-2017 fenugrec <fenugrec@users.sourceforge.net>
 2016 NighterMan <jpenalbae@gmail.com>
 2016-2018 panda
 2016 Rakholiya Jenish
 2016-2018 SkUaTeR <skuater@hotmail.com>
 2017 Jose Diaz <josediazplay@gmail.com>
 2018 Dirk Eibach <dirk.eibach@gdsys.cc>
 2018 Drunck GmbH
 2018 Guntermann
 2017-2020 MaskRay <i@maskray.me>
 2017 xarkes <antide.petit@gmail.com>
 2020 thestr4ng3r
 2020-2022 GustavoLCR <gugulcr@gmail.com>
 2021 deroad <wargio@libero.it>
 2021 eagleoflqj <liumeo@pku.edu.cn>
 2021 Manolache183 <manolache.alexandru8@gmail.com>
 2021 RizinOrg <info@rizin.re>
 2021 swym <0xfd000000@gmail.com>
License: LGPL-3

Files: librz/io/p/io_rap.c
Copyright: 2011-2020 pancake <pancake@nopcode.org>
License: Expat

Files: librz/io/p/io_winkd.c
Copyright: 2014-2017, LemonBoy
License: LGPL-3+

Files: librz/lang/*
Copyright:
 2009-2020 pancake <pancake@nopcode.org>
 2017-2020 condret
License: LGPL-3

Files: librz/magic/*
Copyright: 1986-1995 Ian F. Darwin
License: BSD-2-clause

Files: librz/magic/funcs.c
Copyright: 2003 Christos Zoulas
License: BSD-2-clause

Files: librz/magic/magic.c
Copyright: 2011-2019 pancake <pancake@nopcode.org>
License: LGPL-3

Files: librz/magic/mconfig.h
Copyright: Ian F. Darwin
License: public-domain

Files: librz/main/*
Copyright:
 2009-2021 maijin <maijin21@gmail.com>
 2009-2021 nibble <nibble.ds@gmail.com>
 2009-2021 pancake <pancake@nopcode.org>
 2021 deroad <wargio@libero.it>
 2021 RizinOrg <info@rizin.re>
License: LGPL-3

Files: librz/parse/*
Copyright:
 2009-2020 maijin <maijin21@gmail.com>
 2009-2020 nibble <nibble.ds@gmail.com>
 2009-2020 pancake <pancake@nopcode.org>
 2017-2021 deroad <wargio@libero.it>
 2019 Vasilij Schneidermann <mail@vasilij.de>
 2020 Aswin C (officialcjunior) <realc@protonmail.com>
License: LGPL-3

Files: librz/reg/*
Copyright:
 2009-2020 pancake <pancake@nopcode.org>
 2021 Florian Märkl <info@florianmaerkl.de>
License: LGPL-3

Files: librz/search/*
Copyright:
 2006-2020 pancake <pancake@nopcode.org>
 2006-2019 esteve <eslack.org>
 2008-2020 LemonBoy <thatlemon@gmail.com>
License: LGPL-3

Files: librz/search/aes-find.c
Copyright: 2007 Victor Muñoz
License: CC0-1.0

Files: librz/search/privkey-find.c
Copyright:
 2008 J. Alex Halderma
 2008 Nadia Heninger
License: BSD-3-clause

Files: librz/socket/*
Copyright:
 2006-2021 pancake <pancake@nopcode.org>
 2014-2019 condret <condr3t@protonmail.com>
License: LGPL-3

Files: librz/syscall/*
Copyright: 2008-2020 pancake <pancake@nopcode.org>
License: LGPL-3

Files: librz/util/*
Copyright:
 2007-2021 pancake <pancake@nopcode.org>
 2007-2021 ret2libc <sirmy15@gmail.com>
 2007-2019 alvarofe <alvaro.felipe91@gmail.com>
 2007-2020 thestr4ng3r <info@florianmaerkl.de>
 2014-2020 crowell <crowell@bu.edu>
 2017-2020 condret <condr3t@protonmail.com>
 2017-2022 deroad <wargio@libero.it>
 2014-2018 kazarmy <kazarmy@gmail.com>
 2020 Anton Kochkov <anton.kochkov@gmail.com>
 2021 Billow <billow.fun@gmail.com>
 2021 borzacchiello <lucaborza@gmail.com>
 2020-2021 Florian Märkl <info@florianmaerkl.de>
 2020 FXTi <zjxiang1998@gmail.com>
 2020-2022 GustavoLCR <gugulcr@gmail.com>
 2021 heersin <teablearcher@gmail.com>
 2020 karliss <karlis3p70l1ij@gmail.com>
 2021 keegan
 2014-2018 LemonBoy <thatlemon@gmail.com>
 2017-2020 maskray <i@maskray.me>
 2020 NIRMAL MANOJ C <nimmumanoj@gmail.com>
 2017-2020 polsha3 <polsha3@gmail.com>
 2018 r00tus3r <iamakshayajayan@gmail.com>
 2016-2017 Rakholiya Jenish <rakholiyajenish.07@gmail.com>
 2021 Riccardo Schirone <sirmy15@gmail.com>
 2020 Yaroslav Stavnichiy <yarosla@gmail.com>
 2022 RizinOrg <info@rizin.re>
License: LGPL-3

Files: librz/util/base85.c
Copyright:
 2011, Remy Oukaour
 2017 pancake
License: Expat

Files: librz/util/event.c
Copyright: 2018 pancake
License: Expat

Files: librz/util/getopt.c
Copyright:
 1987, 1993, 1994 The Regents of the University of California
 2019-2020 pancake <pancake@nopcode.org>
License: Expat

Files: librz/util/json_indent.c
Copyright: 2012-2017 pancake <pancake@nopcode.org>
License: Expat

Files: librz/util/rbtree.c
Copyright: 2017 MaskRay
License: BSD-3-clause

Files: librz/util/skiplist.c
Copyright:
 2016 Jeffrey Crowell
 2016 ret2libc <sirmy15@gmail.com>
License: BSD-3-clause

Files: librz/util/regex/*
Copyright:
 1992-1994, The Regents of the University of California.
 1992-1994, Henry Spencer.
License: BSD-3-clause

Files:
 librz/util/regex/re_format.7
 librz/util/regex/regex.3
Copyright:
 1997, Phillip F Knaack.
 1992-1994, The Regents of the University of California.
 1992-1994, Henry Spencer.
License: BSD-3-clause

Files: librz/util/sdb/*
Copyright: 2011-2020 pancake <pancake@nopcode.org>
License: Expat

Files: librz/util/sdb/src/ls.c
Copyright:
 2007-2017 pancake <pancake@nopcode.org>
 2007-2017 alvaro
License: Expat

Files: librz/util/sdb/src/ht_inc.* librz/util/sdb/src/ht_pp.*
 librz/util/sdb/src/ht_pu.* librz/util/sdb/src/ht_up.*
 librz/util/sdb/src/ht_uu.*
Copyright:
 2016-2018 ret2libc <sirmy15@gmail.com>
 2016-2018 pancake <pancake@nopcode.org>
 2016-2018 crowell
License: BSD-3-clause

Files: librz/util/sdb/src/buffer.* librz/util/sdb/src/cdb.*
 librz/util/sdb/src/cdb_make.*
Copyright:
 D. J. Bernstein
 2014-2016 pancake <pancake@nopcode.org>
License: CC-PDDC

Files: librz/util/sdb/src/diff.c librz/util/sdb/src/text.c
Copyright: 2019-2020 thestr4ng3r <info@florianmaerkl.de>
License: Expat

Files: librz/type/*
Copyright:
 2007-2020 Skia <skia@libskia.so>
 2007-2020 pancake <pancake@nopcode.org>
 2013-2020 oddcoder <ahmedsoliman@oddcoder.com>
 2013-2020 sivaramaaa <sivaramaaa@gmail.com>
 2019-2021 Anton Kochkov <anton.kochkov@gmail.com>
License: LGPL-3

## sys ##

Files: sys/*
Copyright:
 2021 Anton Kochkov <anton.kochkov@gmail.com>
 2021 GustavoLCR <gugulcr@gmail.com>
 2021 ret2libc <sirmy15@gmail.com>
License: LGPL-3

Files: sys/macos-cert.sh
Copyright: 2014 Derek Parker
License: Expat

## test ##

Files: test/*
Copyright:
 2009-2020 pancake <pancake@nopcode.org>
 2015-2016 Jeffrey Crowell <crowell@bu.edu>
 2016 Maijin
 2017-2020 condret <condr3t@protonmail.com>
 2017 Fangrui Song <i@maskray.me>
 2017 kriw <kotarou777775@gmail.com>
 2017 Lowly Worm <cutlassc91@gmail.com>
 2017 Maijin <maijin21@gmail.com>
 2018-2022 Florian Märkl <info@florianmaerkl.de>
 2018-2021 ret2libc <sirmy15@gmail.com>
 2019 radare <pancake@nopcode.org>
 2019 xarkes
 2020 Aswin C (officialcjunior) <realc@protonmail.com>
 2020 FXTi <zjxiang1998@gmail.com>
 2020-2021 GustavoLCR <gugulcr@gmail.com>
 2020 HoundThe <cgkajm@gmail.com>
 2020 Khairulmizam Samsudin <xource@gmail.com>
 2020 NIRMAL MANOJ C <nimmumanoj@gmail.com>
 2020-2021 thestr4ng3r <info@florianmaerkl.de>
 2020 xvilka
 2020 Yaroslav Stavnichiy <yarosla@gmail.com>
 2020 Zi Fan <zifan.tan@gmail.com>
 2021 Anton Kochkov <anton.kochkov@gmail.com>
 2021 Basstorm <basstorm@nyist.edu.cn>
 2021 borzacchiello <lucaborza@gmail.com>
 2021 deroad <wargio@libero.it>
 2021 Dhruv Maroo <dhruvmaru007@gmail.com>
 2021 heersin <teablearcher@gmail.com>
 2021-2022 RizinOrg <info@rizin.re>
License: LGPL-3

## subprojects ##

Files: subprojects/mpc/*
Copyright: 2013, Daniel Holden
License: BSD-2-clause-FreeBSD

Files: subprojects/nettle/*
Copyright:
 2000, 2001, 2002 Rafael R. Sevilla, Niels Möller
 2001, 2010 Niels Möller
 2001, 2013 Niels Möller
 2002, 2013 Niels Möller
 2005, 2014 Niels Möller
 2002 Niels Möller
 2013 Niels Möller
License: LGPL-3

Files: subprojects/packagefiles/capstone-3.0.5/*
Copyright: 2022 hamari <mario@mariohaustein.de>
License: LGPL-3

Files: subprojects/ptrace-wrap/*
Copyright: 2018-2021 thestr4ng3r <info@florianmaerkl.de>
License: LGPL-3+

Files: subprojects/rizin-shell-parser/*
Copyright: 2020-2021 ret2libc <sirmy15@gmail.com>
License: LGPL-3

Files: subprojects/rzar/*
Copyright: 2017 xarkes <antide.petit@gmail.com>
License: LGPL-3

Files: subprojects/rzgdb/*
Copyright:
 2014-2018 defragger <rlaemmert@gmail.com>
 2017-2019 Srimanta Barua <srimanta.barua1@gmail.com>
 2018 Alyssa Milburn <noopwafel@gmail.com>
 2020 Zi Fan <zifan.tan@gmail.com>
License: LGPL-3

Files: subprojects/rzheap/*
Copyright: 2019 GustavoLCR <gugulcr@gmail.com>
License: LGPL-3

Files: subprojects/rzqnx/*
Copyright:
 2014-2016 defragger
 2014-2016 madprogrammer
 2016 FSF Inc
License: GPL-2

Files: subprojects/rzqnx/include/dsmsgs.h
Copyright:
 2003 Free Software Foundation, Inc.
 2005, QNX Software Systems.
License: GPL-2+

Files: subprojects/rzqnx/include/gdb_signals.h
Copyright: 1986, 1988-2008, Free Software Foundation, Inc.
License: GPL-3+

Files: subprojects/rzspp/*
Copyright: 2009-2021, pancake <pancake@nopcode.org>
License: Expat

Files: subprojects/rzspp/rz_api.c
Copyright: 2013-2020 pancake
License: LGPL-3

Files: subprojects/rzw32dbg_wrap/*
Copyright: 2019-2020 GustavoLCR <gugulcr@gmail.com>
License: LGPL-3

Files: subprojects/rzwinkd/*
Copyright:
 2014-2020 abcSup <zifan.tan@gmail.com>
 2014-2017 LemonBoy <thatlemon@gmail.com>
License: LGPL-3

Files: subprojects/xxhash/*
Copyright: 2012-2016, Yann Collet
License: BSD-2-clause

Files: subprojects/yxml/*
Copyright: 2013, 2014, Yoran Heling
License: Expat

License: Apache-2.0
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 .
   https://www.apache.org/licenses/LICENSE-2.0
 .
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

License: BSD-2-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
 1. Redistributions of source code must retain the above copyright notice, this
 list of conditions and the following disclaimer.
 .
 2. Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: BSD-2-clause-FreeBSD
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
 1. Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 .
 The views and conclusions contained in the software and documentation are those
 of the authors and should not be interpreted as representing official policies,
 either expressed or implied, of the FreeBSD Project.

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
 1. Redistributions of source code must retain the above copyright notice, this
 list of conditions and the following disclaimer.
 .
 2. Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.
 .
 3. Neither the name of the copyright holder nor the names of its contributors
 may be used to endorse or promote products derived from this software without
 specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: CC0-1.0
 SPDX license identifier CC0-1.0.
 .
 On Debian systems, a copy of the Creative Commons Zero license, version 1.0
 can be found in /usr/share/common-licenses/CC0-1.0.

License: GPL-1+
 GDB, GAS, and the GNU binutils are free software; you can redistribute
 them and/or modify them under the terms of the GNU General Public
 License as published by the Free Software Foundation; either version
 1, or (at your option) any later version.
 .
 GDB, GAS, and the GNU binutils are distributed in the hope that they
 will be useful, but WITHOUT ANY WARRANTY; without even the implied
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 the GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this file; see the file COPYING.  If not, write to the Free
 Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 02110-1335 USA

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights to
 use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 of the Software, and to permit persons to whom the Software is furnished to do
 so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.

License: GPL-2
 This package is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, version 2.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU General
 Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

License: GPL-2+
 This package is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU General
 Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

License: GPL-2+ with GCC-exception-2.0 exception
 This file is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 .
 In addition to the permissions in the GNU General Public License, the
 Free Software Foundation gives you unlimited permission to link the
 compiled version of this file into combinations with other programs,
 and to distribute those combinations without any restriction coming
 from the use of this file.  (The General Public License restrictions
 do apply in other respects; for example, they cover modification of
 the file, and distribution when not linked into a combined
 executable.)
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA 02110-1301, USA.

License: GPL-3
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, version 3.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <https://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU General
 Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".

License: GPL-3+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 3 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <https://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU General
 Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".

License: ISC
 Permission to use, copy, modify, and/or distribute this software for any
 purpose with or without fee is hereby granted, provided that the above
 copyright notice and this permission notice appear in all copies.
 .
 THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

License: LGPL-2
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License as published by the Free Software Foundation, version 2.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public
 License along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
 02110-1301, USA.

License: LGPL-2+
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public
 License along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
 02110-1301, USA.

License: LGPL-2+ with GCC-exception-2.0 exception
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public License
 as published by the Free Software Foundation; either version 2, or
 (at your option) any later version.
 .
 In addition to the permissions in the GNU Library General Public
 License, the Free Software Foundation gives you unlimited
 permission to link the compiled version of this file into
 combinations with other programs, and to distribute those
 combinations without any restriction coming from the use of this
 file.  (The Library Public License restrictions do apply in other
 respects; for example, they cover modification of the file, and
 distribution when not linked into a combined executable.)
 .
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public
 License along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
 02110-1301, USA.

License: LGPL-3
 This package is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, version 3.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program. If not, see <https://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License version 3 can be found in "/usr/share/common-licenses/LGPL-3".

License: LGPL-3+
 This package is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation; either version 3, or (at your option) any
 later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program. If not, see <https://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License version 3 can be found in "/usr/share/common-licenses/LGPL-3".

License: NCSA
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to
 deal with the Software without restriction, including without limitation the
 rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 .
 Redistributions of source code must retain the above copyright notice, this
 list of conditions and the following disclaimers.  Redistributions in binary
 form must reproduce the above copyright notice, this list of conditions and
 the following disclaimers in the documentation and/or other materials
 provided with the distribution. Neither the names of LLVM Team, Universitys
 of Illinois at Urbana-Champaign, nor the names of its contributors may be
 used to endorse or promote products derived from this Software without
 specific prior written permission.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 WITH THE SOFTWARE.

License: public-domain
 This file is in the public domain.

License: CC-PDDC
 The person or persons who have associated work with this document (the
 "Dedicator" or "Certifier") hereby either (a) certifies that, to the best
 of his knowledge, the work of authorship identified is in the public
 domain of the country from which the work is published, or (b) hereby
 dedicates whatever copyright the dedicators holds in the work of
 authorship identified below (the "Work") to the public domain. A
 certifier, moreover, dedicates any copyright interest he may have in the
 associated work, and for these purposes, is described as a "dedicator"
 below.
 .
 A certifier has taken reasonable steps to verify the copyright status of
 this work. Certifier recognizes that his good faith efforts may not
 shield him from liability if in fact the work certified is not in the
 public domain.
 .
 Dedicator makes this dedication for the benefit of the public at large
 and to the detriment of the Dedicator's heirs and successors. Dedicator
 intends this dedication to be an overt act of relinquishment in
 perpetuity of all present and future rights under copyright law, whether
 vested or contingent, in the Work. Dedicator understands that such
 relinquishment of all rights includes the relinquishment of all rights to
 enforce (by lawsuit or otherwise) those copyrights in the Work.
 .
 Dedicator recognizes that, once placed in the public domain, the Work may
 be freely reproduced, distributed, transmitted, used, modified, built
 upon, or otherwise exploited by anyone for any purpose, commercial or
 non-commercial, and in any way, including by methods that have not yet
 been invented or conceived.
